### Constructor

# Adw EnumListModelnew

#### Declaration [src]

    AdwEnumListModel*
    adw_enum_list_model_new (
      GType enum_type
    )

#### Description [src]

Creates a new `AdwEnumListModel` for `enum_type`.

#### Parameters

`enum_type`

  Type: `GType`

  The type of the enum to construct the model from.

#### Return value

Type: `AdwEnumListModel`

The newly created `AdwEnumListModel`

The caller of the function takes ownership of the data, and is responsible for freeing it.